# class Resolv::LOC::Alt

A `Resolv::LOC::Alt`

### Constants

Regex

### Attributes

altitude [R]

The raw altitude

### Public Class Methods

create (arg)
Source

    # File lib/resolv.rb, line 3386
    def self.create(arg)
      case arg
      when Alt
        return arg
      when String
        altitude = ''
        if Regex =~ arg
          altitude = [($1.to_f*(1e2))+(1e7)].pack("N")
        else
          raise ArgumentError.new("not a properly formed Alt string: " + arg)
        end
        return Alt.new(altitude)
      else
        raise ArgumentError.new("cannot interpret as Alt: #{arg.inspect}")
      end
    end

Creates a new `LOC::Alt` from `arg` which may be:

`LOC::Alt`

  returns `arg`.

`String`

  `arg` must match the LOC::Alt::Regex constant

new (altitude)
Source

    # File lib/resolv.rb, line 3403
    def initialize(altitude)
      @altitude = altitude
    end